### Name: LRgraph
### Title: Comparing diagnositic tests: a simple graphic using likelihood
###   ratios.
### Aliases: LRgraph
### Keywords: iplot

### ** Examples

# Making tests with diagnosis function with different performances for comparison.
# mytest5 is the one which all others will be compared with.
mytest5<-diagnosisI(80,20,20,80,print=FALSE)

# mytest1 has higher sensitivity and specificity.
# mytest1 is overall superior compared to mytest5.
mytest1<-diagnosisI(90,10,10,90,print=FALSE)

# mytest2 has lower sensitivity but higher specificity.
# mytest2 is better to identify the absence of the target condition compared to mytest5.
mytest2<-diagnosisI(72,28,3,97,print=FALSE)

# mytest3 has higher sensitivity but lower specificity.
# mytest3 is better to identify the presence of the target condition compared to mytest5.
mytest3<-diagnosisI(92,8,37,63,print=FALSE)

# mytest41 has lower sensitivity and specificity.
# mytest41 is overall inferior compared to mytest5.
mytest41<-diagnosisI(72,28,35,65,print=FALSE)

# mytest42 has lower sensitivity but higher specificity.
# Yet, mytest42 is overall inferior compared to mytest5.
mytest42<-diagnosisI(82,18,42,58,print=FALSE)

# But that becomes clear only after ploting the tests.
LRgraph(a=cbind(mytest5,mytest1,mytest2,mytest3,mytest41,mytest42),cex=2.5)

# The texts below are not part of the function but helps to understand the areas
text(x=.5, y =.5, labels ="Area 4: Overall inferior", col="lightgray",cex=.8)
text(x=.5, y =1, labels ="Area 2: Absence", col="lightgray",cex=.8)
text(x=.07, y =.73, labels ="Area 3: Presence", col="lightgray",cex=.8)
text(x=.1, y =1, labels ="Area 1: Overall superior", col="lightgray",cex=.8)

rm(mytest1)
rm(mytest2)
rm(mytest3)
rm(mytest41)
rm(mytest42)
rm(mytest5)



